#include <TM1637Display.h>

#define CLK D2  
#define DIO D3  

TM1637Display display(CLK, DIO);

void setup() {
  display.setBrightness(7);
  randomSeed(analogRead(A0)); // Ensure better randomness
}

void loop() {
  int num1 = random(10, 99);  // Big number 1 (10-99)
  int num2 = random(10, 99);  // Big number 2 (10-99)
  int result = num1 * num2;   // The multiplication result

  // Show first number  
  display.showNumberDec(num1);
  delay(1000);

  // Show "X" (multiplication sign) by displaying only second number  
  display.showNumberDec(num2, true);  
  delay(1000);

  // Spinning numbers for DRAMA 🎰  
  for (int i = 0; i < 20; i++) {  
    display.showNumberDec(random(1000, 9999));  
    delay(50);  
  }

  // Show result properly  
  if (result > 9999) {  
    int highPart = result / 10000;   // First digit(s)  
    int lowPart = result % 10000;    // Last 4 digits  

    display.showNumberDec(highPart);  // Show first part  
    delay(1000);  

    display.showNumberDec(lowPart);   // Show second part  
    delay(3000);  
  } else {
    display.showNumberDec(result);    // Show directly if fits  
    delay(3000);
  }
}